#! /usr/local/bin/perl

#if ($ENV{'PERLXS'}) {
#	$file = Win32::GetCwd()."\\".$ENV{'QUERY_STRING'};
#} else {
#	$file = $ARGV[0];
#}

$file = "count";

if (open(FILE, "<$file")) {
	$access = <FILE>;
	close(FILE);

	if (open(FILE, ">$file")) {
		$access++;

                print FILE "$access";
		close(FILE);

                print "$access\n";
	} else {
		print "カウンターファイルに書き込めません";
	}
} else {
	print "カウンターファイルがありません";
}
